"""add clin table

Revision ID: 24700d113ea9
Revises: d73cba9a4259
Create Date: 2019-05-31 10:28:20.983200

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '24700d113ea9'
down_revision = 'd73cba9a4259'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('clins',
    sa.Column('time_created', sa.TIMESTAMP(timezone=True), server_default=sa.text('now()'), nullable=False),
    sa.Column('time_updated', sa.TIMESTAMP(timezone=True), server_default=sa.text('now()'), nullable=False),
    sa.Column('id', postgresql.UUID(as_uuid=True), server_default=sa.text('uuid_generate_v4()'), nullable=False),
    sa.Column('task_order_id', postgresql.UUID(as_uuid=True), nullable=False),
    sa.Column('number', sa.String(), nullable=False),
    sa.Column('loas', postgresql.ARRAY(sa.String()), server_default='{}', nullable=False),
    sa.Column('start_date', sa.Date(), nullable=False),
    sa.Column('end_date', sa.Date(), nullable=False),
    sa.Column('obligated_amount', sa.Numeric(scale=2), nullable=False),
    sa.ForeignKeyConstraint(['task_order_id'], ['task_orders.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('clins')
    # ### end Alembic commands ###
